Implement global gadgets (WMF-wide)
Open, LowPublic

Tokens
"Orange Medal" token, awarded by Krinkle."Love" token, awarded by Liuxinyu970226."Love" token, awarded by MarcoAurelio."Heartbreak" token, awarded by He7d3r."Doubloon" token, awarded by Nemo_bis."Love" token, awarded by Ricordisamoa."Like" token, awarded by Kozuch.
Assigned To
None
Authored By
MZMcBride, Aug 10 2009

Description

It should be possible to have global gadgets, that are available by default on the gadget list of each WMF wiki. This is specially useful for keeping a single central copy of popular gadgets, such as hiding global notices, or HotCat, WikiMiniAtlas, etc.

The possible repositories would be Meta-wiki or MediaWiki.org (see also T59336: Make metawiki the central OAuth wiki).

This probably depends on T16950: [Epic] Support global preferences on Wikimedia wikis to be fixed first

See also

Details

Reference
bz20153
There are a very large number of changes, so older changes are hidden. Show Older Changes
bzimport raised the priority of this task from to Low.Nov 21 2014, 10:55 PM
bzimport set Reference to bz20153.
bzimport added a subscriber: Unknown Object (MLST).

unlikely that i'll touch this, so re-assigning to wikibugs

Although application/usage will still depend on Global preferences, this will be made possible by the ResourceLoader2 / Global gadgets implementation coming this summer.

(In reply to comment #2)

Although application/usage will still depend on Global preferences, this will
be made possible by the ResourceLoader2 / Global gadgets implementation
coming this summer.

Presumably a "Game of Thrones"-type summer. ;-)

Nemo_bis set Security to None.
demon removed a subscriber: demon.Jan 27 2015, 5:08 PM
-jem- added a subscriber: -jem-.Jun 8 2015, 7:45 PM
He7d3r renamed this task from Implement global gadgets to Implement global gadgets (WMF-wide).Jun 14 2015, 3:03 PM
He7d3r updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 2 2015, 6:40 AM
He7d3r updated the task description. (Show Details)Aug 9 2015, 2:54 PM
Meno25 removed a subscriber: Meno25.Feb 22 2016, 5:44 PM
jeblad added a subscriber: jeblad.Mar 6 2016, 10:55 PM

Status on this?

Krinkle added a subscriber: Legoktm.Apr 7 2016, 3:17 AM

@Legoktm removed a blocking task: T31272: Implement Gadgets 2.0 (tracking).

To elaborate on this, the original plan was to implement a ForeignRepo concept in Gadgets (similar to what we have for files, as used on Wikimedia wikis to reference files from Wikimedia Commons). However this part of Gadgets 2.0 was scrapped pending outcome of T71445. See there for more information.

However this part of Gadgets 2.0 was scrapped pending outcome of T71445.

So if that's closed we can have global gadgets in gadgets 2.0?

Nemo_bis rescinded a token.Jul 16 2016, 8:00 AM
Nemo_bis awarded a token.
He7d3r rescinded a token.Oct 23 2016, 4:08 PM
He7d3r awarded a token.

@Legoktm removed a blocking task: T31272: Implement Gadgets 2.0 (tracking).

To elaborate on this, the original plan was to implement a ForeignRepo concept in Gadgets (similar to what we have for files, as used on Wikimedia wikis to reference files from Wikimedia Commons). However this part of Gadgets 2.0 was scrapped pending outcome of T71445. See there for more information.

Removed that from the roadmap, so people don't get too excited until 2021...
https://www.mediawiki.org/wiki/Extension:Gadgets/Roadmap#Gadgets_2.0

He7d3r updated the task description. (Show Details)Nov 8 2016, 1:46 AM
DannyH moved this task from Tracking work by others to Blocked on the Community-Tech board.
DannyH moved this task from Blocked to CodeMirror on the Community-Tech board.
Stryn added a subscriber: Stryn.Dec 16 2016, 9:52 AM
Qgil moved this task from Backlog to Team radar on the Developer-Advocacy board.
JAnD added a subscriber: JAnD.Dec 17 2016, 9:20 PM
MarcoAurelio added a subscriber: MarcoAurelio.
Meno25 added a subscriber: Meno25.Jan 17 2017, 11:44 AM
mxn added a subscriber: mxn.Jan 29 2017, 7:49 PM
Liuxinyu970226 awarded a token.
Restricted Application added a subscriber: alanajjar. · View Herald TranscriptFeb 14 2018, 6:41 PM
Krinkle removed a subscriber: Krinkle.